Bug 1891370 - Review Request: unrealircd - Open Source IRC server
Summary: Review Request: unrealircd - Open Source IRC server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-26 02:27 UTC by Robert Scheck
Modified: 2020-11-25 02:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-18 02:20:30 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2020-10-26 02:27:41 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/unrealircd.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/unrealircd-5.0.7-1.src.rpm
Description: UnrealIRCd is an Open Source IRC server based on the branch of IRCu called Dreamforge, formerly used by the DALnet IRC network. Since the beginning of development on UnrealIRCd in May of 1999, it has become a highly advanced IRCd with a strong focus on modularity, an advanced and highly configurable configuration file. Key features include SSL/TLS, cloaking, advanced anti-flood and anti-spam systems, swear filtering and module support.
Fedora Account System Username: robert

The package is intended for EPEL 7/8 and all active Fedora branches.

Comment 1 Robert-André Mauchin 🐧 2020-11-07 06:22:19 UTC
 - Remove this Rpath:

[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output

unrealircd.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/unrealircd ['/builddir/unrealircd/lib']

 - The program reeds to use Fedora default SSL crypto:

https://docs.fedoraproject.org/en-US/packaging-guidelines/CryptoPolicies/


unrealircd.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/unrealircd SSL_CTX_set_cipher_list

  Patch it where necessary:

src/tls.c
383:    if (SSL_CTX_set_cipher_list(ctx, tlsoptions->ciphers) == 0)

src/crashreport.c
598:    SSL_CTX_set_cipher_list(ctx_client, UNREALIRCD_DEFAULT_CIPHERS);

src/modulemanager.c
83:     SSL_CTX_set_cipher_list(ctx_client, UNREALIRCD_DEFAULT_CIPHERS);


 - Please include this licensese and add a comment explaining the license breakdown:

BSD 3-clause "New" or "Revised" License
---------------------------------------
unrealircd-5.0.7/include/mempool.h
unrealircd-5.0.7/src/mempool.c

Expat License
-------------
unrealircd-5.0.7/include/openssl_hostname_validation.h

 - Please add a comment above each patch explaining why they are needed.

 - Don't mix tabs and spaces, lire 15 there is a tab

Source10:	unrealircdctl




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "GNU General Public License v1.0 or later [obsolete FSF postal
     address (Mass Ave)]", "FSF Unlimited License [generated file]", "GNU
     General Public License v3.0 or later", "Public domain", "GNU General
     Public License v1.0 or later [obsolete FSF postal address (Mass Ave),
     obsolete FSF postal address (Mass Ave)]", "BSD 3-clause "New" or
     "Revised" License", "Expat License", "GNU General Public License v2.0
     or later [obsolete FSF postal address (Mass Ave)]", "GNU General
     Public License v1.0 or later [generated file, obsolete FSF postal
     address (Mass Ave)]", "GNU General Public License", "*No copyright*
     [generated file]", "*No copyright* GNU General Public License v1.0 or
     later [obsolete FSF postal address (Mass Ave)]", "GNU General Public
     License v2.0 or later". 143 files have unknown license. Detailed
     output of licensecheck in
     /home/bob/packaging/review/unrealircd/review-
     unrealircd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in unrealircd
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: Sources 3, 4 and 10 are not passed to gpgverify.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: unrealircd-5.0.7-1.fc34.x86_64.rpm
          unrealircd-debuginfo-5.0.7-1.fc34.x86_64.rpm
          unrealircd-debugsource-5.0.7-1.fc34.x86_64.rpm
          unrealircd-5.0.7-1.fc34.src.rpm
unrealircd.x86_64: W: spelling-error %description -l en_US modularity -> molecularity
unrealircd.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/unrealircd SSL_CTX_set_cipher_list
unrealircd.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/unrealircd ['/builddir/unrealircd/lib']
unrealircd.x86_64: W: non-standard-gid /etc/pki/unrealircd unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /etc/pki/unrealircd 750
unrealircd.x86_64: W: dangling-relative-symlink /etc/pki/unrealircd/curl-ca-bundle.crt ../tls/certs/ca-bundle.crt
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /etc/unrealircd 750
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /etc/unrealircd/aliases 750
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/aliases.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/aliases.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/anope.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/anope.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/atheme.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/atheme.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/auspice.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/auspice.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/cygnus.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/cygnus.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/epona.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/epona.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/generic.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/generic.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/genericstats.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/genericstats.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/ircservices.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/ircservices.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/aliases/operstats.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/aliases/operstats.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/badwords.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/badwords.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/dccallow.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/dccallow.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /etc/unrealircd/help 750
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.de.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.de.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.es.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.es.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.fr.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.fr.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.it.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.it.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.nl.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.nl.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.pl.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.pl.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.ru.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.ru.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/help/help.tr.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/help/help.tr.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/modules.default.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/modules.default.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/modules.optional.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/modules.optional.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/operclass.default.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/operclass.default.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/spamfilter.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/spamfilter.conf 640
unrealircd.x86_64: W: non-standard-gid /etc/unrealircd/unrealircd.conf unrealircd
unrealircd.x86_64: E: non-readable /etc/unrealircd/unrealircd.conf 640
unrealircd.x86_64: W: non-standard-uid /run/unrealircd unrealircd
unrealircd.x86_64: W: non-standard-gid /run/unrealircd unrealircd
unrealircd.x86_64: E: incorrect-fsf-address /usr/share/licenses/unrealircd/LICENSE
unrealircd.x86_64: W: non-standard-uid /var/cache/unrealircd unrealircd
unrealircd.x86_64: W: non-standard-gid /var/cache/unrealircd unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /var/cache/unrealircd 750
unrealircd.x86_64: W: non-standard-uid /var/lib/unrealircd unrealircd
unrealircd.x86_64: W: non-standard-gid /var/lib/unrealircd unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /var/lib/unrealircd 750
unrealircd.x86_64: W: non-standard-uid /var/lib/unrealircd/tmp unrealircd
unrealircd.x86_64: W: non-standard-gid /var/lib/unrealircd/tmp unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /var/lib/unrealircd/tmp 750
unrealircd.x86_64: W: non-standard-uid /var/log/unrealircd unrealircd
unrealircd.x86_64: W: non-standard-gid /var/log/unrealircd unrealircd
unrealircd.x86_64: E: non-standard-dir-perm /var/log/unrealircd 750
unrealircd.x86_64: W: log-files-without-logrotate ['/var/log/unrealircd']
unrealircd.x86_64: W: no-manual-page-for-binary unrealircd
unrealircd.x86_64: W: no-manual-page-for-binary unrealircdctl
unrealircd.x86_64: W: dangerous-command-in-%post chown
unrealircd.src: W: spelling-error %description -l en_US modularity -> molecularity
unrealircd.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 15)
4 packages and 0 specfiles checked; 36 errors, 49 warnings.

Comment 2 Robert Scheck 2020-11-07 13:48:43 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
> unrealircd.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/unrealircd
> ['/builddir/unrealircd/lib']

Fixed.

>  - The program reeds to use Fedora default SSL crypto:
> 
> https://docs.fedoraproject.org/en-US/packaging-guidelines/CryptoPolicies/

Fixed as suggested by bullet #1 by patching the default configuration.

>  - Please include this licensese and add a comment explaining the license
> breakdown:

Fixed, but IMHO the "Expat License" is effectively "MIT", especially as the "Expat License" is not mentioned at https://fedoraproject.org/wiki/Licensing:Main

>  - Please add a comment above each patch explaining why they are needed.

Fixed.

>  - Don't mix tabs and spaces, lire 15 there is a tab

Fixed.


Spec URL: http://labs.linuxnetz.de/bugzilla/unrealircd.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/unrealircd-5.0.7-2.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-11-08 08:05:53 UTC
Package approved.

Comment 4 Robert Scheck 2020-11-08 10:17:09 UTC
Thank you for the package review.

Comment 5 Gwyn Ciesla 2020-11-09 17:00:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/unrealircd

Comment 6 Fedora Update System 2020-11-09 22:40:30 UTC
FEDORA-2020-c0c5de116c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c0c5de116c

Comment 7 Fedora Update System 2020-11-09 22:41:02 UTC
FEDORA-2020-e584a6f7d2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e584a6f7d2

Comment 8 Fedora Update System 2020-11-09 22:41:34 UTC
FEDORA-2020-628a83992c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-628a83992c

Comment 9 Fedora Update System 2020-11-09 22:42:08 UTC
FEDORA-EPEL-2020-bbd9e24a34 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-bbd9e24a34

Comment 10 Fedora Update System 2020-11-09 22:42:37 UTC
FEDORA-EPEL-2020-ba5f43d4c6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ba5f43d4c6

Comment 11 Fedora Update System 2020-11-10 01:34:06 UTC
FEDORA-EPEL-2020-bbd9e24a34 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-bbd9e24a34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-10 01:54:24 UTC
FEDORA-2020-628a83992c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-628a83992c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-628a83992c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-11-10 02:00:56 UTC
FEDORA-EPEL-2020-ba5f43d4c6 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ba5f43d4c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-10 02:20:49 UTC
FEDORA-2020-e584a6f7d2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e584a6f7d2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e584a6f7d2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-11-10 02:21:25 UTC
FEDORA-2020-c0c5de116c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c0c5de116c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c0c5de116c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-11-18 02:20:30 UTC
FEDORA-2020-c0c5de116c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-11-18 02:36:50 UTC
FEDORA-2020-e584a6f7d2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-11-18 03:03:32 UTC
FEDORA-2020-628a83992c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-11-25 02:07:04 UTC
FEDORA-EPEL-2020-bbd9e24a34 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-11-25 02:25:23 UTC
FEDORA-EPEL-2020-ba5f43d4c6 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.